Gossamer Forum
Home : Products : Gossamer Forum : Discussion :

Re: [jaga] Gossamer doesn't work with newer postgres

Quote Reply
Re: [jaga] Gossamer doesn't work with newer postgres In reply to
Here are the specifics:

Quote:
GT::SQL::Driver::PG::sth (30384): Executing query: INSERT INTO gforum_Forum (forum_total_threads,forum_last_poster,forum_total,forum_allow_attachments,forum_name,forum_allow_user_edit,forum_attachment_max_size,forum_attachments,forum_last_id,forum_sort_rank,forum_style,forum_move_pointer,forum_allow_guest_attachments,forum_new_timeout,forum_attachment_inline,cat_id_fk,forum_hard_delete,forum_desc,forum_edit_timeout,forum_last,forum_id) VALUES (0,'',0,1,'asdsa',3,307200,'','',0,1,1,1,90,1,2,2,'asd','','',NEXTVAL('gforum_Forum_seq')) from GForum::Table::Forum::_plg_add at GForum::Table::Forum::_plg_add line 131

GT::SQL::Table (24562): Failed to execute query: 'INSERT INTO gforum_Forum (forum_total_threads,forum_last_poster,forum_total,forum_allow_attachments,forum_name,forum_allow_user_edit,forum_attachment_max_size,forum_attachments,forum_last_id,forum_sort_rank,forum_style,forum_move_pointer,forum_allow_guest_attachments,forum_new_timeout,forum_attachment_inline,cat_id_fk,forum_hard_delete,forum_desc,forum_edit_timeout,forum_last,forum_id) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,NEXTVAL('gforum_Forum_seq'))' Reason: ERROR: pg_atoi: zero-length string at /var/www/systems2/perl/admin/GT/SQL/Driver/PG.pm line 536.

and the table structure (as i'm sure you already know):
Code:
gforum=> \d gforum_forum
Table "public.gforum_forum"
Column | Type | Modifiers
-------------------------------+-----------------------+-----------------------
forum_id | integer | not null
cat_id_fk | integer | not null
forum_name | character varying(50) | not null
forum_desc | text |
forum_total | integer | not null default '0'
forum_total_threads | integer | not null default '0'
forum_last | integer |
forum_last_poster | character varying(50) |
forum_last_id | integer |
forum_sort_rank | integer | not null default '0'
forum_style | smallint | not null default '1'
forum_allow_attachments | smallint | not null default '1'
forum_allow_guest_attachments | smallint | not null default '1'
forum_attachments | integer |
forum_attachment_max_size | integer | default '307200'
forum_attachment_inline | integer | default '1'
forum_allow_user_edit | smallint | not null default '3'
forum_edit_timeout | integer |
forum_hard_delete | smallint | not null default '2'
forum_new_timeout | integer | not null default '90'
forum_move_pointer | smallint | not null default '1'
Indexes: gforum_forum_pkey primary key btree (forum_id),
gforum_gforum_forumf_c btree (cat_id_fk)



Hope this helps shed light on what i'm talking about. This is pretty important to me because i'll be purchasing licenses for a number of websites shortly [after this test is successful], and we intend to run this with a postgres backend.
--jaga
Subject Author Views Date
Thread Gossamer doesn't work with newer postgres jaga 4502 Jun 23, 2004, 11:26 AM
Thread Re: [jaga] Gossamer doesn't work with newer postgres
Jagerman 4431 Jun 23, 2004, 11:56 AM
Thread Re: [Jagerman] Gossamer doesn't work with newer postgres
jaga 4405 Jun 23, 2004, 12:12 PM
Thread Re: [jaga] Gossamer doesn't work with newer postgres
Jagerman 4406 Jun 23, 2004, 4:42 PM
Thread Re: [Jagerman] Gossamer doesn't work with newer postgres
jaga 4401 Jun 24, 2004, 4:06 AM
Thread Re: [jaga] Gossamer doesn't work with newer postgres
jaga 4410 Jun 24, 2004, 7:50 AM
Post Re: [jaga] Gossamer doesn't work with newer postgres
jaga 4377 Jun 29, 2004, 1:05 PM